Bug 389963 - Tooltips take the whole horizontal screen when showing long download url
Summary: Tooltips take the whole horizontal screen when showing long download url
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: view-engine: tooltip (show other bugs)
Version: 17.12.1
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2018-02-06 18:07 UTC by josip ponjavić
Modified: 2019-03-24 18:42 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.04.0


Attachments
two tooltip examples, short and long url (236.18 KB, image/png)
2018-02-06 18:07 UTC, josip ponjavić
Details
Maybe something like ... (239.72 KB, application/octet-stream)
2018-04-02 13:10 UTC, Christof Groschke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description josip ponjavić 2018-02-06 18:07:29 UTC
Created attachment 110372 [details]
two tooltip examples, short and long url

Download a video from youtube and then hover over it in dolphin and the tooltip takes a lot of screen space.

In attachment are two examples, one showing a normal tooltip with short url and the other with long url.
Comment 1 Nate Graham 2018-03-29 21:25:26 UTC
This was made visible by implementing the feature requested in Bug 386261. We should find some way to clip ugly URLs or only display a substring or something.
Comment 2 Christof Groschke 2018-04-02 13:10:43 UTC
Created attachment 111783 [details]
Maybe something like ...

What about showing only the domain address and than as many parts of the subdirs as possible and cutting the rest to something like this ?

https://neon.kde.org/download/.../.../

Limiting the whole URL to an absolute maximum. Just a quick shot, I have added a really trivial example.
Comment 3 Mike Krutov 2019-03-23 00:41:16 UTC
Hi!

I've created a patch for this issue here:

https://phabricator.kde.org/D19988
Comment 4 Nate Graham 2019-03-24 18:41:25 UTC
Git commit 4623e6e5ec5308485afc2a0061f8ee0e4dafd4b1 by Nate Graham, on behalf of Mikhail Krutov.
Committed on 24/03/2019 at 18:00.
Pushed by ngraham into branch 'Applications/19.04'.

Fix lengthy URLs in tooltips

Summary: BUG: 389963

Test Plan:
To reproduce the issue (https://bugs.kde.org/show_bug.cgi?id=389963):

xattr -w user.xdg.origin.url "VeryLongUrlWithoutSpaces" file.name

Reviewers: #dolphin, ngraham

Reviewed By: #dolphin, ngraham

Subscribers: ngraham, elvisangelaccio, broulik, #baloo

Tags: #baloo

Differential Revision: https://phabricator.kde.org/D19988

M  +12   -4    src/widgetfactory.cpp

https://commits.kde.org/baloo-widgets/4623e6e5ec5308485afc2a0061f8ee0e4dafd4b1